<?php

/********************************************************************************
	- MemHT Portal -

	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.

********************************************************************************/

	if (stristr(htmlentities($_SERVER['PHP_SELF']), "block_gallery.php")) {
		die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
	}

	global $dblink;

	$ccolor = "#FFFFFF"; //#FFFFFF
	
	if ($resultg = $dblink->get_list("SELECT * FROM memht_gallery_images AS i JOIN memht_gallery_categories AS c ON i.category=c.id WHERE i.enabled=1 ORDER BY RAND() LIMIT 1")) {
		foreach ($resultg as $rowg) {
			$icat = intval($rowg['category']);
			$ititle = outCode($rowg['title']);
			$iimgfile = outCode($rowg['imgfile']);
			$ithumb = outCode($rowg['thumb']);
			$iattachfile = outCode($rowg['attachfile']);
			$idescription = outCode($rowg['description']);
	
			$ctitle = outCode($rowg['name']);
	
			echo "<div align='center' style='padding:4px 0;'><table style='padding: 2px; background-color:{$ccolor};'><tr><td><a href='index.php?page=gallery&op=showGallery&id=$icat&title=".mem_urlencode($ctitle)."' title='$ititle'><img src='pages/gallery/gallery/thumb/$ithumb' border='0' title=\"$ititle\" alt=\"$ititle\"></a></td></tr></table>";		
			if ($iattachfile!="") {
				echo "<div><a href=\"$iattachfile\" title=\"header=["._ATTACHMENT_."] body=[$iattachfile]\"><img src='pages/gallery/images/attachment.gif' border='0' alt='Attachment'></a></div>";
			}
			echo "</div>\n";
		}
	} else {
		echo "<div id='errorText' align='center'><b>"._EMPTY_."</b></div>";
	}

?>